Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.events
Interface ManagementEvent

All Superinterfaces:
  ExtendedElements, XmlSerializable

All Known Implementing Classes:
  SimpleManagementEvent

public interface ManagementEvent
extends XmlSerializable, ExtendedElements

ManagementEvent defines the even type of the WSDM Event Format (WEF). It is composed of accessor methods for its fields and serialization methods for convertion to and from XML. Event objects should be created with a .
`WefFactory factory = new SimpleWefFactory();
ManagementEvent event = factory.createEvent();
event.setSequenceNumber(1234);
// etc.
` The factory will also have methods for instantiating the event from XML.

Author:
  Dan Jemiolo (danj)

Method Summary
`java.lang.String` | `getEventID()`
`Component` | `getReporter()`
`java.util.Date` | `getReportTime()`
`long` | `getSequenceNumber()`
`Situation` | `getSituation()`
`Component` | `getSource()`
`void` | `setEventID(java.lang.String eventID)`
`void` | `setReporter(Component reporter)`
`void` | `setReportTime(java.util.Date reportTime)`
`void` | `setSequenceNumber(long sequenceNumber)`
`void` | `setSituation(Situation situation)`
`void` | `setSource(Component source)`

Methods inherited from interface org.apache.muse.util.xml.XmlSerializable
`toXML, toXML`

Methods inherited from interface org.apache.muse.ws.dm.muws.events.ExtendedElements
`addExtendedElement, addExtendedElement, getExtendedElements, getExtendedElements`

Method Detail

### getEventID

    public java.lang.String getEventID()

### getReporter

    public Component getReporter()

### getReportTime

    public java.util.Date getReportTime()

### getSequenceNumber

    public long getSequenceNumber()

### getSituation

    public Situation getSituation()

### getSource

    public Component getSource()

### setEventID

    public void setEventID(java.lang.String eventID)

### setReporter

    public void setReporter(Component reporter)

### setReportTime

    public void setReportTime(java.util.Date reportTime)

### setSequenceNumber

    public void setSequenceNumber(long sequenceNumber)

### setSituation

    public void setSituation(Situation situation)

### setSource

    public void setSource(Component source)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD